Update User Notification
UpdateUserNotification updates a notification's status. Only the receiver may call it.
Path Parameters
user*string
The user id.
notification*string
The notification id.
Query Parameters
updateMask?string
Required. The fields to update. Only status is supported.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
UserNotification is a notification delivered to a user.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/users/string/notifications/string" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "sender": "string", "senderUser": { "name": "string", "username": "string", "displayName": "string", "email": "string", "avatarUrl": "string", "description": "string", "password": "string", "role": "ROLE_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }, "type": "TYPE_UNSPECIFIED", "memoComment": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }, "memoMention": { "memo": "string", "relatedMemo": "string", "memoSnippet": "string", "relatedMemoSnippet": "string" }, "spaceInvitation": { "spaceInvitation": "string", "space": { "name": "string", "title": "string", "description": "string", "icon": { "emoji": "string", "lucide": "string" }, "currentUserRole": "ROLE_UNSPECIFIED", "memberCount": 0 }, "role": "ROLE_UNSPECIFIED", "state": "STATE_UNSPECIFIED" }, "status": "STATUS_UNSPECIFIED", "createTime": "2019-08-24T14:15:22Z"}